Extract Artifacts from Excel File
POST /Command/ExtractArtifactsFromExcel
Extracts artifacts from an excel file with File ID. Artifacts include IP, Domain, URL, File Hash, Email Address etc. The first row of the Excel file will be consider as a header row.
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
Parameter Name
Type
Required/Optional
Description
Username
string
Required
The username of your D3 SOAR account.
Site
string
Required
The D3 SOAR site to run the remote command.
File Id
string
Required
Id of the file to get artifact
File Source
string
Required
Source of the file
Body Sample Data
application/json
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"File Id": 9xx,
"File Source": "Incident Attachment File"
}
}
Response
application/json
Response Fields
Field Name
Type
Description
error
string
The error message if the API request has failed.
returnData
string
The return data from the API request.
contextData
JSON Object
The context data from the API request.
Sample Data
{
"error": "",
"returnData": "Successful",
"contextData": {
"ip": [
"1.1.1.1"
],
"url": [
"https://www.d3security.com",
"https://www.google.com/"
],
"domain": [
"www.d3security.com",
"www.google.com"
],
"md5": [
"e6fd84aeddfeb04a45698535edb9adf6"
],
"sha256": [
"b88124f01bd245056920867df287d1ac8b5ffead5fde8492ccffbcb53b84d7xx"
],
"sha1": [
"b48b238c0d36a1ab1506d72b3258af622f75dbxx"
],
"emailaddress": [
"test@mail.com"
]
}
}
application/json
Response Fields
Field Name
Type
Description
Error
string
A error message when the API request fails.
Sample Data
{"Error": "The body of the request must be a valid JSON object"}
application/json
Response Fields
Field Name
Type
Description
Error
string
A error message when the API request fails.
Sample Data
{"Error": "Invalid authentication key."}
application/json
Response Fields
Field Name
Type
Description
Error
string
A error message when the API request fails.
Sample Data
{"Error": "The request exceeds rate limits or is otherwise blocked by rate limiting policies."}
application/json
Response Fields
Field Name
Type
Description
Error
string
A error message when the API request fails.
Sample Data
{"Error": "Unexpected Error."}